Package org.eclipse.lemminx.services.extensions.completion

## Class AbstractAttributeCompletionResolver

- java.lang.Object
- - org.eclipse.lemminx.services.extensions.completion.AbstractCompletionResolver
  - - org.eclipse.lemminx.services.extensions.completion.AbstractAttributeCompletionResolver

All Implemented Interfaces:
  `ICompletionItemResolveParticipant`

Direct Known Subclasses:
  `AttributeNameCompletionResolver`, `AttributeValueCompletionResolver`

    public abstract class AbstractAttributeCompletionResolver
    extends AbstractCompletionResolver

Abstract class completion resolver to resolve :

- `CompletionItem.setDocumentation(String)`
- `CompletionItem.setAdditionalTextEdits(java.util.List)`
- `CompletionItem.setDetail(String)`

for a given DOM attribute.

### Constructor Summary

Constructors
`AbstractAttributeCompletionResolver()`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`protected abstract void` `resolveCompletionItem​(DOMElement element, org.eclipse.lsp4j.CompletionItem toResolve, ICompletionItemResolverRequest request, org.eclipse.lsp4j.jsonrpc.CancelChecker cancelChecker)` Resolve the completion item from the content model to the given completion request.
`protected void` `resolveCompletionItem​(DOMNode node, org.eclipse.lsp4j.CompletionItem toResolve, ICompletionItemResolverRequest request, org.eclipse.lsp4j.jsonrpc.CancelChecker cancelChecker)` Resolve the given completion item `toResolve` by using the given DOM node.

### Methods inherited from class org.eclipse.lemminx.services.extensions.completion.AbstractCompletionResolver

`resolveCompletionItem`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AbstractAttributeCompletionResolver

    public AbstractAttributeCompletionResolver()

### Method Detail

#### resolveCompletionItem

    protected void resolveCompletionItem​(DOMNode node,
                                         org.eclipse.lsp4j.CompletionItem toResolve,
                                         ICompletionItemResolverRequest request,
                                         org.eclipse.lsp4j.jsonrpc.CancelChecker cancelChecker)

Description copied from class: `AbstractCompletionResolver`
Resolve the given completion item `toResolve` by using the given DOM node.

Specified by:
  `resolveCompletionItem` in class `AbstractCompletionResolver`
Parameters:
  `node` - the DOM retrieved by the offset coming from the completion item data.
  `toResolve` - the completion item to resolve.
  `request` - the completion request.
  `cancelChecker` - the cancel checker.

#### resolveCompletionItem

    protected abstract void resolveCompletionItem​(DOMElement element,
                                                  org.eclipse.lsp4j.CompletionItem toResolve,
                                                  ICompletionItemResolverRequest request,
                                                  org.eclipse.lsp4j.jsonrpc.CancelChecker cancelChecker)

Resolve the completion item from the content model to the given completion request.

Parameters:
  `request` - the completion resolve request
  `toResolve` - the unresolved completion item to resolve
  `parentElement` - the parent element to where completion was opened on
  `attr` - the attribute that completion was opened on, may be null